### Method

# Secret Item set_secret

#### Declaration [src]

    void
    secret_item_set_secret (
      SecretItem* self,
      SecretValue* value,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Set the secret value of this item.

Each item has a single secret which might be a password or some other secret binary value.

This function returns immediately and completes asynchronously.

This method completes asynchronously. Use `secret_item_set_secret_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`value`

  Type: `SecretValue`

  A new secret value.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.